Set objBarcodes = CreateObject("Scripting.Dictionary")
arrBarcodes = Split(AllBarcodes, ";")
strOutputPages = ""

'Convert array to dictionary with key = value: workaround to get pages without barcode too.
For Each strBarcode In arrBarcodes
	
	arrBarcode = Split(strBarcode, "=")
	objBarcodes.Add arrBarcode(0), arrBarcode(1)
Next

For i = 1 To PagesCount
	
	If i < PagesCount Then
		
		strBarcode = objBarcodes(CStr(i))
		strNextBarcode = objBarcodes(CStr(i+1))
		
		'extra step needed when a sequential barcode pages with the same value have pages between without barcode
		If strBarcode <> "" Then
			
			strStoredBarcode = strBarcode
		End If
		
		If (strStoredBarcode <> strNextBarcode) And (strNextBarcode <> "") Then

			strSplitChar = ";"
		Else
			
			strSplitChar = ","
		End If 
	Else
	
		strSplitChar = ""
	End If 

	
	If strOutputPages = "" Then
		
		strOutputPages = i & strSplitChar
	Else
		
		strOutputPages = strOutputPages & i & strSplitChar
	End If
Next 

Set objBarcodes = Nothing
'Format: RRV = "OutputPages=1,2;3,4" page 1,2 md 3,4 are combined, document is splitted between 2 and 3. Page removal is possible too: 1;3: page 2 is removed.
RRV = "OutputPages=" & strOutputPages
